#ifndef UART_DEBUG_H
#define UART_DEBUG_H

#include <stdint.h>
#include <stdbool.h>

// Initialisiert die UART-Schnittstelle mit der angegebenen Baudrate
void uart_init(uint32_t baud_rate);

// Sendet ein einzelnes Byte
void uart_send_byte(uint8_t data);

// Sendet einen String
void uart_send_string(const char* str);

// Sendet einen formatierten String (vereinfachtes printf)
void uart_printf(const char* format, ...);

// Prüft, ob Daten zum Lesen verfügbar sind
bool uart_data_available(void);

// Liest ein Byte (blockierend)
uint8_t uart_read_byte(void);

#endif // UART_DEBUG_H
