
// Neuer Code (erfordert timer_init() und sei() in main):
// In src/main.c (angepasst für dieses Beispiel)
#include "../src/hal/uart_debug.h" // Pfad anpassen
#include "../src/hal/timer.h"      // Pfad anpassen
// ... andere Includes und Init-Funktionen ...

int main(void){
    initialize_system(); // Enthält timer_init() und sei()

    // Konfiguriere UART hier, wenn nicht in initialize_system()
    #ifdef DEBUG_UART_ENABLE
        uart_init(9600); // Oder andere Baudrate
        PORTC.DIRSET = PIN3_bm; // OE Pin
        PORTC.OUTSET = PIN3_bm;
    #endif

    uint32_t last_send_time = 0;
    uint32_t current_time;

    while(1) {
        current_time = timer_get_ms();

        #ifdef DEBUG_UART_ENABLE
            // Sende 'U' alle 10ms
            if ((current_time - last_send_time) >= 10) {
                 last_send_time = current_time;
                 uart_send_byte('U');
            }
        #endif

        // Andere Tasks hier...
    }
    return 0;
}
